// Copyright 1986-2017 Xilinx, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2017.4 (lin64) Build 2086221 Fri Dec 15 20:54:30 MST 2017
// Date        : Wed Jan 17 19:06:27 2018
// Host        : roland-i5 running 64-bit Ubuntu 16.04.3 LTS
// Command     : write_verilog -force -mode funcsim
//               /home/roland/tmp/siebensegment/siebensegment.srcs/sources_1/bd/bin27seg/ip/bin27seg_sevensegdecoder_0_0/bin27seg_sevensegdecoder_0_0_sim_netlist.v
// Design      : bin27seg_sevensegdecoder_0_0
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xc7a35tcpg236-1
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CHECK_LICENSE_TYPE = "bin27seg_sevensegdecoder_0_0,sevensegdecoder,{}" *) (* DowngradeIPIdentifiedWarnings = "yes" *) (* X_CORE_INFO = "sevensegdecoder,Vivado 2017.4" *) 
(* NotValidForBitStream *)
module bin27seg_sevensegdecoder_0_0
   (nIn,
    ssOut);
  input [3:0]nIn;
  output [6:0]ssOut;

  wire [3:0]nIn;
  wire [6:0]ssOut;

  bin27seg_sevensegdecoder_0_0_sevensegdecoder inst
       (.nIn(nIn),
        .ssOut(ssOut));
endmodule

(* ORIG_REF_NAME = "sevensegdecoder" *) 
module bin27seg_sevensegdecoder_0_0_sevensegdecoder
   (ssOut,
    nIn);
  output [6:0]ssOut;
  input [3:0]nIn;

  wire [3:0]nIn;
  wire [6:0]ssOut;

  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT4 #(
    .INIT(16'h2094)) 
    \ssOut[0]_INST_0 
       (.I0(nIn[3]),
        .I1(nIn[2]),
        .I2(nIn[0]),
        .I3(nIn[1]),
        .O(ssOut[0]));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT4 #(
    .INIT(16'hA4C8)) 
    \ssOut[1]_INST_0 
       (.I0(nIn[3]),
        .I1(nIn[2]),
        .I2(nIn[1]),
        .I3(nIn[0]),
        .O(ssOut[1]));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT4 #(
    .INIT(16'hA210)) 
    \ssOut[2]_INST_0 
       (.I0(nIn[3]),
        .I1(nIn[0]),
        .I2(nIn[1]),
        .I3(nIn[2]),
        .O(ssOut[2]));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT4 #(
    .INIT(16'hC234)) 
    \ssOut[3]_INST_0 
       (.I0(nIn[3]),
        .I1(nIn[2]),
        .I2(nIn[0]),
        .I3(nIn[1]),
        .O(ssOut[3]));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT4 #(
    .INIT(16'h5710)) 
    \ssOut[4]_INST_0 
       (.I0(nIn[3]),
        .I1(nIn[1]),
        .I2(nIn[2]),
        .I3(nIn[0]),
        .O(ssOut[4]));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT4 #(
    .INIT(16'h5190)) 
    \ssOut[5]_INST_0 
       (.I0(nIn[3]),
        .I1(nIn[2]),
        .I2(nIn[0]),
        .I3(nIn[1]),
        .O(ssOut[5]));
  LUT4 #(
    .INIT(16'h4025)) 
    \ssOut[6]_INST_0 
       (.I0(nIn[3]),
        .I1(nIn[0]),
        .I2(nIn[2]),
        .I3(nIn[1]),
        .O(ssOut[6]));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule
`endif
